#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>

static HBITMAP hBmp      = 0;
static HBRUSH  hBrush    = 0;
static WORD aZigZag[ 8 ] = { 0xFF, 0xF7, 0xEB, 0xDD, 0xBE, 0x7F, 0xFF, 0xFF };


      //      trama de...        8 pix 8 pix 8 pix 8 pix
      //                         Rojo  Verde Azul  Inten.  x 8 lineas
static LONG aBorDlg[]     = {
                              0x00, 0x00, 0x00, 0xFF,
                              0x55, 0x55, 0x55, 0xFF,
                              0x00, 0x00, 0x00, 0xFF,
                              0x55, 0x55, 0x55, 0xFF,
                              0x00, 0x00, 0x00, 0xFF,
                              0x55, 0x55, 0x55, 0xFF,
                              0x00, 0x00, 0x00, 0xFF,
                              0x55, 0x55, 0x55, 0xFF
                            };

static LONG aTiled[]      = {
                              0xFE, 0xFE, 0xFE, 0xFF,
                              0x81, 0x81, 0x81, 0xFE,
                              0x81, 0x81, 0x81, 0xFE,
                              0x81, 0x81, 0x81, 0xFE,
                              0x81, 0x81, 0x81, 0xFE,
                              0x81, 0x81, 0x81, 0xFE,
                              0x81, 0x81, 0x81, 0xFE,
                              0x7F, 0x7F, 0x7F, 0x80
                            };

static LONG aLightGris[]     = {
                                 0xFF, 0xFF, 0xFF, 0xAA,
                                 0xFF, 0xFF, 0xFF, 0x55,
                                 0xFF, 0xFF, 0xFF, 0xAA,
                                 0xFF, 0xFF, 0xFF, 0x55,
                                 0xFF, 0xFF, 0xFF, 0xAA,
                                 0xFF, 0xFF, 0xFF, 0x55,
                                 0xFF, 0xFF, 0xFF, 0xAA,
                                 0xFF, 0xFF, 0xFF, 0x55,
                               };

static LONG aLgtGris[]      = {
                                 0x00, 0x00, 0x00, 0xFF,
                                 0x00, 0x00, 0x00, 0xFF,
                                 0x00, 0x00, 0x00, 0xFF,
                                 0x00, 0x00, 0x00, 0xFF,
                                 0x00, 0x00, 0x00, 0xFF,
                                 0x00, 0x00, 0x00, 0xFF,
                                 0x00, 0x00, 0x00, 0xFF,
                                 0x00, 0x00, 0x00, 0xFF
                               };



static LONG aCrossed[]       = {
                                 0xFF, 0xFF, 0xFF, 0x44,
                                 0xFF, 0xFF, 0xFF, 0x00,
                                 0xFF, 0xFF, 0xFF, 0x55,
                                 0xFF, 0xFF, 0xFF, 0x00,
                                 0xFF, 0xFF, 0xFF, 0x44,
                                 0xFF, 0xFF, 0xFF, 0x00,
                                 0xFF, 0xFF, 0xFF, 0x55,
                                 0xFF, 0xFF, 0xFF, 0x00,
                               };

//---------------------------------------------------------------------------//

CLIPPER WndBrush()
{
   if( ! hBrush )
   {
       hBmp   = CreateBitmap( 8, 8, 4, 4, aTiled );
       hBrush = CreatePatternBrush( hBmp );
   }
   _retni( hBrush );
}

//----------------------------------------------------------------------------//

CLIPPER DelWndBrus()
{
    if( hBrush )
    {
        DeleteObject( hBrush );
        DeleteObject( hBmp );
        hBrush = 0;
        hBmp = 0;
    }
}

//---------------------------------------------------------------------------//

CLIPPER SETBRUSHOR() // ( hWnd, hBrush, nXOrg, nYOrg )
{
    HWND hWnd = _parni( 1 );
    HDC  hDC  = GetDC( hWnd );

    UnrealizeObject( _parni( 2 ) );
    SetBrushOrg( hDC, _parni( 3 ), _parni( 4 ) );

    ReleaseDC( hWnd, hDC );

}

//---------------------------------------------------------------------------//
